> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Language Updation API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To update an existing language's configuration for an AI Agent.

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | PUT                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language`                                                             |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Language Configuration; Admin Console: Language Settings > Language Management                                     |

## Path Parameters

| Parameter | Description                                                  | Required |
| --------- | ------------------------------------------------------------ | -------- |
| `host`    | The environment URL. For example, `https://platform.kore.ai` | Required |

## Sample Request

```json theme={null}
curl -X PUT \
https://'{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language' \
--header 'Content-Type: application/json' \
--header 'auth: YOUR_JWT_ACCESS_TOKEN' \
--data '{
"updateLanguage" : "",
"fileId":"",
"multiLingualConfigurations":{
"nluLanguage": "language_code",
"inputTranslation": true,
"responseTranslation": false
}
}'
```

## Body Parameters

| Parameter                    | Sub-Parameter                                    | Description                                                                                     | Required |
| ---------------------------- | ------------------------------------------------ | ----------------------------------------------------------------------------------------------- | -------- |
| `updateLanguage`             |                                                  | The language to be enabled based on the language code.                                          | Required |
| `field`                      |                                                  | The file ID for handling the file upload if the **fileUpload** language enablement is selected. | Required |
| `multiLingualConfigurations` |                                                  |                                                                                                 | Required |
|                              | `multiLingualConfigurations.nluLanguage`         | Refers to the NLU language code of the bot language.                                            | Required |
|                              | `multiLingualConfigurations.inputTranslation`    | Refers to True/False setting for the input language translation to English.                     | Required |
|                              | `multiLingualConfigurations.responseTranslation` | Refers to the True/False setting for the response language translation to English.              | Required |

## Sample Response

```json theme={null}
[
{
"message": "Updated language successfully",
"configurationDetails": {
"dialogs":3,
"alerts":0,
"actions":0,
"knowledgetTasks":0,
"smallTalk":1,
"panels":0,
"widgets":0 }
}
]
```
